Project

General

Profile

Bug #1661

Fedora 21 Alpha release issues

Added by cpg over 4 years ago. Updated over 4 years ago.

Status:
New
Priority:
Normal
Assignee:
-
Category:
-
Target version:
-
Start date:
05/12/2015
Due date:
% Done:

0%


Description

This is for tracking issues with our Amahi 8 on Fedora 21 release. Please list issues below as you find them.

History

#1 Updated by bigfoot65 over 4 years ago

Tested install steps in wiki using Fedora 21 DVD 64-bit with minimal install (VM). All steps were accurate and there were no issues encountered.

#2 Updated by bigfoot65 over 4 years ago

Tested upgrade from pristine Amahi 7 Express DVD install with no apps to Fedora 21. During final step of upgrade, the following error was encountered:

WARNING: problems were encountered during transaction test:
  broken dependencies
    perl-PlRPC-0.2020-13.fc19.noarch requires perl-4:5.16.3-266.fc19.x86_64
    ruby-mysql-2.8.2-9.fc19.x86_64 requires ruby-libs-2.0.0.353-16.fc19.x86_64
Continue with the upgrade at your own risk.

The upgrade process was halted and no guidance provided on how to continue.

#3 Updated by cpg over 4 years ago

this is useful on both counts, thanks!

is the machine where this was tried in this state still?

if so, you could try to see if group-to-piecemeal updates work. e.g. make a list of all the needed packages, yum update them in groups (e.g. first half, second half of the list, 1st fourth, etc.) until no other package can be installed individually. this is a fair bit of trial an error, tho.

i suspect we may need to update hda-ctl and hda-platform with the same deps work-around we had to for f21. maybe a simple update is enough to get things going.

while this was very useful, i would say maybe others in the community (megabitdragon said he may be able) can help so we focus more on the f21 release.

#4 Updated by bigfoot65 over 4 years ago

Testing it again. The wiki guidance states to do:

yum update

then reboot and do it again before attempting the Fedora 21 upgrade. I followed it exactly so the broken dependencies should not exist.

#5 Updated by bigfoot65 over 4 years ago

No luck on the upgrade. It needs more research to see if we can get past the dependency error.

#6 Updated by bigfoot65 over 4 years ago

Did a test using netinstall and it worked perfectly. Same as the full DVD method, but only a 440MB download vs 2.1GB :)

#7 Updated by bigfoot65 over 4 years ago

Completed test with Workstation Live DVD. Had to install OpenSSH, enable, and start it. Then using Putty, was able to install Amahi 8 with no issues. Dashboard was working, enabled advanced settings, disabled DHCP, and apps were available.

#8 Updated by cpg over 4 years ago

This is getting confusing. It's not clear what of the above is referring to installing vs. what is referring to upgrade. Let's do all update issues in #1662 and leave this for just Amahi 8/F21 issues.

#9 Updated by bigfoot65 over 4 years ago

Agreed. Moved my comments about the upgrade to the #1662.

Also available in: Atom